Index: axfr.c
--- axfr.c.orig	2004-02-04 13:16:47.000000000 +0100
+++ axfr.c	2004-02-13 20:41:00.000000000 +0100
@@ -14,7 +14,7 @@
 #include "packet.h"

 #ifdef LIBWRAP
-#include <tcpd.h>
+#include "tcpd.h"
 
 int allow_severity = LOG_INFO;
 int deny_severity = LOG_NOTICE;
@@ -166,12 +166,10 @@
 			*t = 0;
 			
 #endif /* AXFR_DAEMON_PREFIX */
-			request_init(&request, RQ_DAEMON, AXFR_DAEMON, RQ_CLIENT_SIN, &q->addr, 0);
-			sock_methods(&request);	/* This is to work around the bug in libwrap */
+			request_init(&request, RQ_DAEMON, AXFR_DAEMON, RQ_CLIENT_ADDR, &q->addr, 0);
 			if (!hosts_access(&request)) {
 #ifdef AXFR_DAEMON_PREFIX
-				request_init(&request, RQ_DAEMON, axfr_daemon, RQ_CLIENT_SIN, &q->addr, 0);
-				sock_methods(&request);	/* This is to work around the bug in libwrap */
+				request_init(&request, RQ_DAEMON, axfr_daemon, RQ_CLIENT_ADDR, &q->addr, 0);
 				log_msg(LOG_ERR, "checking %s", axfr_daemon);
 				if (!hosts_access(&request)) {
 #endif /* AXFR_DAEMON_PREFIX */
Index: tsig.c
--- tsig.c.orig	2005-01-17 16:35:54.000000000 +0100
+++ tsig.c	2005-02-23 16:19:36.487025139 +0100
@@ -249,11 +249,19 @@
 		time_t clock;
 
 		clock = (time_t) current_time;
+#ifdef __sun__
+		ctime_r(&clock, current_time_text, sizeof(current_time_text));
+#else
 		ctime_r(&clock, current_time_text);
+#endif
 		current_time_text[24] = '\0';
 
 		clock = (time_t) signed_time;
+#ifdef __sun__
+		ctime_r(&clock, signed_time_text, sizeof(signed_time_text));
+#else
 		ctime_r(&clock, signed_time_text);
+#endif
 		signed_time_text[24] = '\0';
 
 #if 0				/* XXX */
